{% extends 'base.html.twig' %}

{% block title %}Hello RobotController!{% endblock %}

{% block body %}

<br>
<div class="container">
    <div class="row">
    <div class="col-md-6 offset-md-3">
        <form action="{{ path('add_robot') }}" method="POST">
            <div class="form-group">
                <label for="name">Robot neve:</label>
                <input type="text" class="form-control" name="name" placeholder="Név">
            </div>
            <div class="form-group">
                <label for="type">Típusa:</label>
                <select class="form-control" name="type" id="type">
                    <option selected value="brawler">brawler</option>
                    <option value="rogue">rogue</option>
                    <option value="assasin">assasin</option>
                </select>
            </div>
            <div class="form-group">
                <label for="strength">Erőssége:</label>
                <input type="text" class="form-control" name="strength" placeholder="Erősség" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');">
            </div>
            <button type="submit" class="btn btn-primary">Mentés</button>
            <br>
        </form>
    </div>
    <br>
    <div class="col-md-6 offset-md-3 text-right">
        <a href="{{ path('list') }}" class="btn btn-warning mb-1">
            Vissza a találatokhoz
        </a>
    </div>
    </div>
</div>

{% endblock %}